<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>

    </files>
    <containers>
    </containers>
    <variables>
        <family name='système'>
            <variable name='partitioning_free_PE' type='number' description='Nombre de blocs disponibles pour une nouvelle partition' mode='expert' hidden='True'/>
            <variable name='allow_manual_partitioning' type='oui/non' description='Permettre le partitionnement manuel' mode='expert' hidden='True'/>
            <variable name='partitioning_create_lv' type='oui/non' description='Ajuster le partitionnement' mode='expert' hidden='True'>
                <value>non</value>
            </variable>
            <variable name='partitioning_lv_name' type='string' description='Nom du volume à créer' mode='expert' multi='True' mandatory='True'/>
            <variable name='partitioning_lv_size' type='number' description='Taille du volume en pourcentage de l’espace disponible' mode='expert' mandatory='True'/>
            <variable name='partitioning_lv_format' type='string' description='Format du système de fichiers' mode='expert'/>
            <variable name='partitioning_lv_mount_point' type='filename' description='Point de montage du volume logique' mode='expert'/>
            <variable name='partitioning_lv_mount_options' type='string' description='Options du montage' mode='expert'/>
            <variable name='partitioning_lv_extend' type='oui/non' description='Allouer l’espace restant' mode='expert'>
                <value>non</value>
            </variable>
            <variable name='partitioning_lv_to_extend' type='filename' description='Volume logique à étendre' mode='expert' mandatory='True'/>
        </family>
        <separators>
            <separator name='partitioning_free_PE'>Ajustement du partitionnement</separator>
        </separators>
    </variables>
    <constraints>

        <auto name='calc_free_PE' target='partitioning_free_PE'>
            <param type='eole' name='mode_zephir' optional='True'>mode_zephir</param>
        </auto>
        
        <auto name='enable_lv_creation' target='allow_manual_partitioning'>
            <param type='eole' name='mode_zephir' optional='True'>mode_zephir</param>
        </auto>

        <check name='check_free_space' target='partitioning_lv_size'>
        </check>
        
        <condition name='disabled_if_in' source='allow_manual_partitioning'>
            <param>non</param>
            <target>partitioning_create_lv</target>
            <target>partitioning_lv_extend</target>
        </condition>
        
        <condition name='disabled_if_in' source='partitioning_create_lv'>
            <param>non</param>
            <target>partitioning_lv_name</target>
        </condition>
        
        <condition name='disabled_if_in' source='partitioning_lv_extend'>
            <param>non</param>
            <target>partitioning_lv_to_extend</target>
        </condition>
        
        <check name='is_fs_type' target='partitioning_lv_format'>
            <param type='eole' name='mode_zephir' optional='True'>mode_zephir</param>
        </check>
        
        <check name='is_lv_name' target='partitioning_lv_to_extend'>
            <param type='eole' name='mode_zephir' optional='True'>mode_zephir</param>
        </check>

        <group master='partitioning_lv_name'>
            <slave>partitioning_lv_size</slave>
            <slave>partitioning_lv_format</slave>
            <slave>partitioning_lv_mount_point</slave>
            <slave>partitioning_lv_mount_options</slave>
        </group>
    
    </constraints>
    <help>
        <variable name='allow_manual_partitioning'>Active automatiquement les champs de saisie si le serveur n’est pas encore instancié et que le groupe de volumes dispose de PE libres</variable>
        <variable name='partitioning_create_lv'>Activer les champs de saisie pour la création de volumes logiques ou l’extension de volumes logiques existants</variable>
        <variable name='partitioning_lv_name'>Nom du volume logique LVM à créer dans le groupe de volume par défaut</variable>
        <variable name='partitioning_lv_size'>Taille du volume logique en pourcentage de l’espace disponible</variable>
        <variable name='partitioning_lv_format'>Format de la partition</variable>
        <variable name='partitioning_lv_mount_point'>Point de montage du volume logique</variable>
        <variable name='partitioning_lv_mount_options'>Options du montage</variable>
        <variable name='partitioning_lv_extend'>Allouer l’espace restant à un volume logique existant</variable>
        <variable name='partitioning_lv_to_extend'>Nom du volume logique à étendre avec l’espace restant</variable>
    </help>
</creole>
